<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Perspective Hover Effects</title>
    <link rel="stylesheet" href="style.css">
    
</head>
<body>
    <div class="wrap">
        <div class="text">Perspective</div>
        <div class="text">Perspective</div>
        <div class="text">Perspective</div>
        <div class="text">Perspective</div>
        <div class="text">Perspective</div>
        <div class="text">Perspective</div>
        <div class="text">Perspective</div>
        <div class="text">Perspective</div>
        <div class="text">Perspective</div>
        <div class="text">Perspective</div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/2.0.1/TweenMax.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        const text = document.querySelector('.text');
const halfX = window.innerWidth / 2;
const halfY = window.innerHeight / 2;

text.forEach((el, i) => {
    TweenMax.to(el, 1, {
        z: 1 * (i+8)
    });
});

document.addEventListener('mousemove', (e) => {
    text.forEach((el, i) => {
      TweenMax.to(el, 0.5, {
        x: (e.clientX - halfX) * (i + 1) * 0.01,
        y: (e.clientY - halfY) * (i + 1) * 0.01
      });
    });
  });
    </script>
</body>
</html>